{{/* vim: set filetype=mustache: */}}

{{- define "root.url.appHome" -}}
  {{- if .Values.ingress.enable -}}
    {{- $ingressPath := .Values.ingress.path | trimSuffix "/" -}}
    {{- printf "%s://%s%s" .Values.url.protocol .Values.url.domain $ingressPath -}}
  {{- else -}}
    {{- printf "%s://%s:%g" .Values.url.protocol .Values.url.domain .Values.url.port -}}
  {{- end -}}
{{- end -}}

{{- define "root.url.reportingUi" -}}
  {{- $servicePath := "reports" -}}
  {{- if .Values.ingress.enable -}}
    {{- $ingressPath := .Values.ingress.path | trimSuffix "/" -}}
    {{- printf "%s://%s%s/%s" .Values.url.protocol .Values.url.domain $ingressPath $servicePath -}}
  {{- else -}}
    {{- printf "%s://%s:%g/%s" .Values.url.protocol .Values.url.domain .Values.url.port $servicePath -}}
  {{- end -}}
{{- end -}}

{{- define "root.url.cr" -}}
  {{- $servicePath := "deploymentPlans" -}}
  {{- if .Values.ingress.enable -}}
    {{- $ingressPath := .Values.ingress.path | trimSuffix "/" -}}
    {{- printf "%s://%s%s/%s" .Values.url.protocol .Values.url.domain $ingressPath $servicePath -}}
  {{- else -}}
    {{- printf "%s://%s:%g/%s" .Values.url.protocol .Values.url.domain .Values.url.port $servicePath -}}
  {{- end -}}
{{- end -}}

{{- define "root.url.securityAuth" -}}
  {{- $servicePath := "security-api/auth" -}}
  {{- if .Values.ingress.enable -}}
    {{- $ingressPath := .Values.ingress.path | trimSuffix "/" -}}
    {{- printf "%s://%s%s/%s" .Values.url.protocol .Values.url.domain $ingressPath $servicePath -}}
  {{- else -}}
    {{- printf "%s://%s:%g/%s" .Values.url.protocol .Values.url.domain .Values.url.port $servicePath -}}
  {{- end -}}
{{- end -}}

{{- define "root.url.securityApiHost" -}}
  {{- $servicePath := "security-api" -}}
  {{- if .Values.ingress.enable -}}
    {{- $ingressPath := .Values.ingress.path | trimSuffix "/" -}}
    {{- printf "%s://%s%s/%s" .Values.url.protocol .Values.url.domain $ingressPath $servicePath -}}
  {{- else -}}
    {{- printf "%s://%s:%g/%s" .Values.url.protocol .Values.url.domain .Values.url.port $servicePath -}}
  {{- end -}}
{{- end -}}

{{- define "root.url.mapApi" -}}
  {{- $servicePath := "multi-app-pipeline-api" -}}
  {{- if .Values.ingress.enable -}}
    {{- $ingressPath := .Values.ingress.path | trimSuffix "/" -}}
    {{- printf "%s://%s%s/%s" .Values.url.protocol .Values.url.domain $ingressPath $servicePath -}}
  {{- else -}}
    {{- printf "%s://%s:%g/%s" .Values.url.protocol .Values.url.domain .Values.url.port $servicePath -}}
  {{- end -}}
{{- end -}}

{{- define "root.url.releaseEventsApi" -}}
  {{- $servicePath := "release-events-api" -}}
  {{- if .Values.ingress.enable -}}
    {{- $ingressPath := .Values.ingress.path | trimSuffix "/" -}}
    {{- printf "%s://%s%s/%s" .Values.url.protocol .Values.url.domain $ingressPath $servicePath -}}
  {{- else -}}
    {{- printf "%s://%s:%g/%s" .Values.url.protocol .Values.url.domain .Values.url.port $servicePath -}}
  {{- end -}}
{{- end -}}

{{- define "root.url.reportingConsumer" -}}
  {{- $servicePath := "reporting-consumer" -}}
  {{- if .Values.ingress.enable -}}
    {{- $ingressPath := .Values.ingress.path | trimSuffix "/" -}}
    {{- printf "%s://%s%s/%s" .Values.url.protocol .Values.url.domain $ingressPath $servicePath -}}
  {{- else -}}
    {{- printf "%s://%s:%g/%s" .Values.url.protocol .Values.url.domain .Values.url.port $servicePath -}}
  {{- end -}}
{{- end -}}
